Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(266)

Issue 9738048: Merged EXT_frag_depth changes into dx11proto branch (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 years, 1 month ago by Brandon Jones
Modified:
11 years, 1 month ago
CC:
angleproject-review_googlegroups.com
Base URL:
https://angleproject.googlecode.com/svn/branches/dx11proto
Visibility:
Public.

Description

Merged EXT_frag_depth changes into dx11proto branch BUG=429 Committed: https://code.google.com/p/angleproject/source/detail?r=2419

Patch Set 1 #

Patch Set 2 : Fixed DX11 shaders with depth output #

Unified diffs Side-by-side diffs Delta from patch set Stats (+122 lines, -31 lines) Patch
M include/GLSLANG/ShaderLang.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M src/compiler/BaseTypes.h View 1 2 chunks +2 lines, -0 lines 0 comments Download
M src/compiler/Initialize.cpp View 2 chunks +6 lines, -0 lines 0 comments Download
M src/compiler/OutputGLSL.h View 1 chunk +1 line, -0 lines 0 comments Download
M src/compiler/OutputGLSL.cpp View 1 chunk +14 lines, -0 lines 0 comments Download
M src/compiler/OutputHLSL.h View 1 chunk +1 line, -0 lines 0 comments Download
M src/compiler/OutputHLSL.cpp View 4 chunks +16 lines, -0 lines 0 comments Download
M src/compiler/ParseHelper.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M src/compiler/ParseHelper.cpp View 1 1 chunk +21 lines, -0 lines 0 comments Download
M src/compiler/ShaderLang.cpp View 1 chunk +1 line, -0 lines 0 comments Download
M src/compiler/SymbolTable.h View 1 3 chunks +4 lines, -5 lines 0 comments Download
M src/compiler/SymbolTable.cpp View 1 1 chunk +3 lines, -5 lines 0 comments Download
M src/compiler/glslang.y View 1 1 chunk +7 lines, -0 lines 0 comments Download
M src/compiler/glslang_tab.cpp View 1 2 chunks +28 lines, -21 lines 0 comments Download
M src/libGLESv2/Context.cpp View 1 chunk +1 line, -0 lines 0 comments Download
M src/libGLESv2/ProgramBinary.cpp View 1 3 chunks +11 lines, -0 lines 0 comments Download
M src/libGLESv2/Shader.h View 1 chunk +1 line, -0 lines 0 comments Download
M src/libGLESv2/Shader.cpp View 3 chunks +3 lines, -0 lines 0 comments Download

Messages

Total messages: 5
Brandon Jones
This is a pretty straightforward merge of https://codereview.appspot.com/9827044/ but unfortunately I haven't been able to ...
11 years, 1 month ago (2013-05-29 19:05:28 UTC) #1
nicolas%transgaming.com
On 2013/05/29 19:05:28, Brandon Jones wrote: > This is a pretty straightforward merge of > ...
11 years, 1 month ago (2013-05-29 20:37:58 UTC) #2
Brandon Jones
Tested now with both the DX9 and DX11 paths. Had to fix a minor issue ...
11 years, 1 month ago (2013-05-30 17:55:28 UTC) #3
nicolas%transgaming.com
Looks great.
11 years, 1 month ago (2013-05-31 03:23:46 UTC) #4
Brandon Jones
11 years, 1 month ago (2013-05-31 16:45:16 UTC) #5
Message was sent while issue was closed.
Committed patchset #2 manually as r2419 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b